# Linear Chopper

>*This circuit/PCB was created in the context of the work done within the SWTOMP[^1] Project.*   

[^1]: Small Wind Turbine Optmization and Market Promotion - [Link](http://swtomp.ciemat.es)
  
## Description

It is an over-voltage protection (OVP) for Small Wind Turbine power (SWT) applications.  
It was designed to be connected at the DC link that connects que SWT rectifier and the inverter or battery charger.  

When the DC voltage exceeds the threshold, an external dump-resistor is connected to the DC link to derive energy and consecuently reduce the voltage. When the DC voltage is below the threshold, the external resistor is disconnected.  

To minimize the mechanical and electrical stress of the SWT, the connection and disconnection of the dump-resistor is done gradually.

## Hardware implementation

The connection of the dump-resistor is done through an IGBT that is controlled with PWM signal generated by a microcontroller.
The duty cycle of the PWM signal allows to control the amount of resistance that is effectively connected to the DC link.

There are two channels (two independent IGBT that triggers at the same time) that allows to connect two external resistors.
The maximum rms current per IGBT is 10A (RMS) and the maximum DC voltage is 800V.

There are two microcontrollers, the main one dedicated to the OVP and the other dedicated to serve a web page that report data and allow the configuration of the system.

## Configuration

The OVP is fully configurable through an embedded web page that allows the user to setup:
- Upper and Lower Voltage Threshold
- Speed of the connection of the dump-resistance: the time that takes the PWM duty cycle to increase from 0% to 100%.
- Critical voltage: when the DC link reach this voltage, the PWM duty cycle will step to 100% without the normal gradual increment. (If a *Crowbar* were present, it will trigger at this voltage.)  

The web page also display the actual DC voltage every second.  
